# ToolTipIcon

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Defines a set of standardized icons that can be associated with a ToolTip.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ToolTipIcon : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ToolTipIcon As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name        | Description                        |
| ----------- | ---------------------------------- |
| **Default** | Use the icon defined in the theme. |
| **Error**   | An error icon.                     |
| **Info**    | An information icon.               |
| **None**    | No icon.                           |
| **Warning** | A warning icon.                    |

## Used By

| Name                                                                             | Description                                                                                       |
| -------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- |
| [HelpTip.HelpTipIcon](/api/wisej.web/extenders/wisej.web.helptip.md#helptipicon) | Returns or sets a value that defines the type of icon to be displayed alongside the HelpTip text. |
| [ToolTip.ToolTipIcon](/api/wisej.web/extenders/wisej.web.tooltip.md#tooltipicon) | Returns or sets a value that defines the type of icon to be displayed alongside the ToolTip text. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/extenders/wisej.web.tooltipicon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
